Forum Clubic

Opera sur ubuntu - message d'erreur?

j’ai installé opera depuis synaptic (mes 256Mo de ram n’appreciant pas tellement ffox1.5), mais apres installation du paquet, aucun raccourci n’a été créé dans applications->internet.
donc j’ai essayé de lancer opera depuis un terminal, mais j’obtient un message d’erreur:
ERROR: ld.so: object ‘libjvm.so’ from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object ‘libawt.so’ from LD_PRELOAD cannot be preloaded: ignored.

ca n’empeche pas opera de se lancer, mais ca m’intrigue, et le fait de ne pas avoir de raccourci est un peu ennuyeux.

->est ce que j’ai merdé qq part ou bien est ce le paquet qui est foireux?

opera a été compilé en utilisant certaines libs qui ne sont pas dispos sur ton système alors il t’avertis mais elles ne sont pas vitales pour son fonctionnement, ça ne pose pas de problème.
Pour le raccourcis je sais pas dut out, c’est ennuyeux en effet
tu peux toujours creer un lanceur sur le tableau de bord

oki merci.
j’ai créé un lanceur, il me reste plus qu’à me demerder pour lui attribuer un icone opera.

mieux vaut tard que jamais :ane:

libjvm.so & libawt.so sont des librairies qu’on peut trouver dans java SDK.
Si tu n’as pas ce package installé (mon cas), tu peux soit ignorer ces erreurs, soit éditer le binaire d’opera (ex : /usr/bin/opera) comme ça :

## Uncomment the next lines to workaround the "libjvm.so & libawt.so preloaded" error message
#LD_PRELOAD="libjvm.so:libawt.so:${OPERA_LD_PRELOAD}"
#export LD_PRELOAD

j’utilise la 2nde solution & ça baigne :slight_smile:

Existerai-t-il quelque part un paquet pour amd64 ?